Package twisted :: Package trial :: Module remote :: Class OneWayBanana

[show private | hide private]
[frames | no frames]

## Class OneWayBanana

    BaseProtocol --+
                   |
            Protocol --+
                       |
           Ephemeral --+
                       |
                  Pynana --+
                           |
                      Canana --+
                               |
                              OneWayBanana

Method Summary
| `__init__(self, isClient)` (inherited from `Pynana`)
| `__getstate__(self)` (inherited from `Ephemeral`)
| `__setstate__(self, state)` (inherited from `Ephemeral`)
| `callExpressionReceived(self, obj)` (inherited from `Pynana`)
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``connectionMade`(self)` Called when a connection is made.
| ``connectionReady`(self)` Surrogate for connectionMade Called after protocol negotiation. (inherited from `Pynana`)
| `dataReceived(self, chunk)` (inherited from `Canana`)
| ``expressionReceived`(self, lst)` Called when an expression (list, string, or int) is received. (inherited from `Pynana`)
| `gotItem(self, item)` (inherited from `Pynana`)
| `sendEncoded(self, obj)` (inherited from `Canana`)

Class Variable Summary
`int` | `isClient`
`list` | `knownDialects`

Method Details

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.spread.banana.Canana.connectionMade` (inherited documentation)

Class Variable Details

### isClient

  Type:
    `int`
  Value:

        0

### knownDialects

  Type:
    `list`
  Value:

        ['none']

Generated by Epydoc 1.1 on Thu May 8 13:16:56 2003 | http://epydoc.sf.net